/**********************************************************************
 * Interface EpicurDao
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-03-15 Commented and ported to Apache Maven
 * created 2011-09-13 by Karaca Koçer to combine all interfaces
 * Original interfaces Markus Klein, German National Library
 ********************************************************************/

package org.nbnResolving.database.dao;

/**
 * Interface for a Data Access Object (DAO).
 * This interface is based heavily on Epicur Database Model.
 * To understand it please see the RDBMS data model, xepicur XML schema
 * and project epicur documentation.
 * 
 * @author Kadir Karaca Kocer, German National Library
 */
public interface EpicurDao extends InstitutionDaoIf, MimetypeDaoIf, NsDaoIf, Ns2PermissionDaoIf,
                                   PersonDaoIf, PermissionDaoIf, UrnDaoIf, UrlDaoIf {
//pseudointerface to combine all formerly defined interfaces
}
