/*******************************************************************************
 * Interface MimetypeDaoIf.java
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Marcus Klein -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-03-15 Commented and ported to Apache Maven - K. Kocer
 * ********************************************************************/

package org.nbnResolving.database.dao;

import java.util.List;

import org.nbnResolving.database.model.TableMIMETYPES;

/**
 * EPICUR: Tabelle MIMETYPES (DAO Interface)
 * 
 * @author t_kleinm, German National Library 11.05.2011
 */
public interface MimetypeDaoIf
{

	/**
	 * @param urnId
	 * @return <TableMIMETYPES>
	 * @author kleinm, German National Library
	 */
	public TableMIMETYPES getMimetypeById(int urnId);

	/**
	 * @return List<TableMIMETYPES>
	 * @author t_kleinm, German National Library
	 */
	public List<TableMIMETYPES> getMimetypes();

}
