/**********************************************************************
 * Class JoinNSPERMISSION
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-07-19 Created by Marcus Klein
 ********************************************************************/

package org.nbnResolving.database.model;

import java.util.Date;

/**
 * A simple class modeling fields of the tables PERMISSION and NAMESPACE
 * in the epicur database. For more information please see the database model.
 * 
 * @author Marcus Klein
 */

public class JoinNSPERMISSION {
    int     ns_id                         = -1;        // unique id of this namespace
    String  ns_name                       = null;
    int     permission_id                 = -1;        // unique id
    boolean permission_create_urn         = false;     // 1: granted
    boolean permission_modify_urn         = false;     // 1: granted
    boolean permission_create_url         = false;     // 1: granted
    boolean permission_delete_url         = false;     // 1: granted
    boolean permission_modify_url         = false;     // 1: granted
    boolean permission_create_person      = false;     // 1: granted
    boolean permission_delete_person      = false;     // 1: granted
    boolean permission_modify_person      = false;     // 1: granted
    boolean permission_create_institution = false;     // 1: granted
    boolean permission_modify_institution = false;     // 1: granted
    String  permission_comment            = null;      // human readable comments about this record
    Date    permission_created            = new Date(); // date this record created. Default: NOW!
    Date    permission_last_modified      = new Date(); // date this record last modified

    /**
     * @return Returns the ns_id.
     * @author kleinm, German National Library 19.07.2012
     */
    public int getNs_id() {
        return this.ns_id;
    }

    /**
     * @param ns_id The ns_id to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setNs_id(int ns_id) {
        this.ns_id = ns_id;
    }

    /**
     * @return Returns the ns_name.
     * @author kleinm, German National Library 19.07.2012
     */
    public String getNs_name() {
        return this.ns_name;
    }

    /**
     * @param ns_name The ns_name to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setNs_name(String ns_name) {
        this.ns_name = ns_name;
    }

    /**
     * @return Returns the permission_id.
     * @author kleinm, German National Library 19.07.2012
     */
    public int getPermission_id() {
        return this.permission_id;
    }

    /**
     * @param permission_id The permission_id to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_id(int permission_id) {
        this.permission_id = permission_id;
    }

    /**
     * @return Returns the permission_create_urn.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_create_urn() {
        return this.permission_create_urn;
    }

    /**
     * @param permission_create_urn The permission_create_urn to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_create_urn(boolean permission_create_urn) {
        this.permission_create_urn = permission_create_urn;
    }

    /**
     * @return Returns the permission_modify_urn.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_modify_urn() {
        return this.permission_modify_urn;
    }

    /**
     * @param permission_modify_urn The permission_modify_urn to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_modify_urn(boolean permission_modify_urn) {
        this.permission_modify_urn = permission_modify_urn;
    }

    /**
     * @return Returns the permission_create_url.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_create_url() {
        return this.permission_create_url;
    }

    /**
     * @param permission_create_url The permission_create_url to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_create_url(boolean permission_create_url) {
        this.permission_create_url = permission_create_url;
    }

    /**
     * @return Returns the permission_delete_url.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_delete_url() {
        return this.permission_delete_url;
    }

    /**
     * @param permission_delete_url The permission_delete_url to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_delete_url(boolean permission_delete_url) {
        this.permission_delete_url = permission_delete_url;
    }

    /**
     * @return Returns the permission_modify_url.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_modify_url() {
        return this.permission_modify_url;
    }

    /**
     * @param permission_modify_url The permission_modify_url to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_modify_url(boolean permission_modify_url) {
        this.permission_modify_url = permission_modify_url;
    }

    /**
     * @return Returns the permission_create_person.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_create_person() {
        return this.permission_create_person;
    }

    /**
     * @param permission_create_person The permission_create_person to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_create_person(boolean permission_create_person) {
        this.permission_create_person = permission_create_person;
    }

    /**
     * @return Returns the permission_delete_person.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_delete_person() {
        return this.permission_delete_person;
    }

    /**
     * @param permission_delete_person The permission_delete_person to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_delete_person(boolean permission_delete_person) {
        this.permission_delete_person = permission_delete_person;
    }

    /**
     * @return Returns the permission_modify_person.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_modify_person() {
        return this.permission_modify_person;
    }

    /**
     * @param permission_modify_person The permission_modify_person to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_modify_person(boolean permission_modify_person) {
        this.permission_modify_person = permission_modify_person;
    }

    /**
     * @return Returns the permission_create_institution.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_create_institution() {
        return this.permission_create_institution;
    }

    /**
     * @param permission_create_institution The permission_create_institution to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_create_institution(boolean permission_create_institution) {
        this.permission_create_institution = permission_create_institution;
    }

    /**
     * @return Returns the permission_modify_institution.
     * @author kleinm, German National Library 19.07.2012
     */
    public boolean isPermission_modify_institution() {
        return this.permission_modify_institution;
    }

    /**
     * @param permission_modify_institution The permission_modify_institution to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_modify_institution(boolean permission_modify_institution) {
        this.permission_modify_institution = permission_modify_institution;
    }

    /**
     * @return Returns the permission_comment.
     * @author kleinm, German National Library 19.07.2012
     */
    public String getPermission_comment() {
        return this.permission_comment;
    }

    /**
     * @param permission_comment The permission_comment to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_comment(String permission_comment) {
        this.permission_comment = permission_comment;
    }

    /**
     * @return Returns the permission_created.
     * @author kleinm, German National Library 19.07.2012
     */
    public Date getPermission_created() {
        return this.permission_created;
    }

    /**
     * @param permission_created The permission_created to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_created(Date permission_created) {
        this.permission_created = permission_created;
    }

    /**
     * @return Returns the permission_last_modified.
     * @author kleinm, German National Library 19.07.2012
     */
    public Date getPermission_last_modified() {
        return this.permission_last_modified;
    }

    /**
     * @param permission_last_modified The permission_last_modified to set.
     * @author kleinm, German National Library 19.07.2012
     */
    public void setPermission_last_modified(Date permission_last_modified) {
        this.permission_last_modified = permission_last_modified;
    }

}
