/**********************************************************************
 * Class TableNAMESPACE
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-03-15 Commented and ported to Apache Maven
 * Default values for all attributes (-1 for all numeric ones) 2011-04-08 
 * Created on 2010-07-27 by Karaca Kocer
 ********************************************************************/

package org.nbnResolving.database.model;

import java.util.Date;

/**
 * A simple class modeling 1:1 the existing Sybase
 * RDBMS table NAMESPACE in epicur database.
 * For more information please see the database model.
 * 
 * @author Kadir Karaca Kocer
 */

public class TableNAMESPACE {
	int     ns_id = -1;               //unique id of this namespace
	String  name = null;              //
	byte    ns_status = -1;           //0: intern, 1:extern, 2: extern with redirect
	String  country = null;           //
	String  resolver_adress = null;   //
	int     is_part_of = -1;          //foreign key
	char    last_seperator = '-';     //
	boolean active = false;           //1: yes
	boolean dig_signed = false;       //1: yes
	String  public_key = null;        //
	boolean appears_in_statistic = true;
	int     urn_generation_counter = -1;
	Date    created = new Date();      //date this record created. Default: NOW!
	Date    last_modified = new Date();//date this record last modified
	String  comment = null;            //human readable comments about this record
	
	/**
	 * @return the ns_id
	 */
	public int getNs_id() {
		return this.ns_id;
	}
	
	/**
	 * @param ns_id the ns_id to set
	 */
	public void setNs_id(int ns_id) {
		this.ns_id = ns_id;
	}
	
	/**
	 * @return the name
	 */
	public String getName() {
		return this.name;
	}
	
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * @return the ns_status
	 */
	public byte getNs_status() {
		return this.ns_status;
	}
	
	/**
	 * @param ns_status the ns_status to set
	 */
	public void setNs_status(byte ns_status) {
		this.ns_status = ns_status;
	}
	
	/**
	 * @return the country
	 */
	public String getCountry() {
		return this.country;
	}
	
	/**
	 * @param country the country to set
	 */
	public void setCountry(String country) {
		this.country = country;
	}
	
	/**
	 * @return the resolver_adress
	 */
	public String getResolver_adress() {
		return this.resolver_adress;
	}
	
	/**
	 * @param resolver_adress the resolver_adress to set
	 */
	public void setResolver_adress(String resolver_adress) {
		this.resolver_adress = resolver_adress;
	}
	
	/**
	 * @return the is_part_of
	 */
	public int getIs_part_of() {
		return this.is_part_of;
	}
	
	/**
	 * @param is_part_of the is_part_of to set
	 */
	public void setIs_part_of(int is_part_of) {
		this.is_part_of = is_part_of;
	}
	
	/**
	 * @return the last_seperator
	 */
	public char getLast_seperator() {
		return this.last_seperator;
	}
	
	/**
	 * @param last_seperator the last_seperator to set
	 */
	public void setLast_seperator(char last_seperator) {
		this.last_seperator = last_seperator;
	}
	
	/**
	 * @return the active
	 */
	public boolean isActive() {
		return this.active;
	}
	
	/**
	 * @param active the active to set
	 */
	public void setActive(boolean active) {
		this.active = active;
	}
	
	/**
	 * @return the dig_signed
	 */
	public boolean isDig_signed() {
		return this.dig_signed;
	}
	
	/**
	 * @param dig_signed the dig_signed to set
	 */
	public void setDig_signed(boolean dig_signed) {
		this.dig_signed = dig_signed;
	}
	
	/**
	 * @return the public_key
	 */
	public String getPublic_key() {
		return this.public_key;
	}
	
	/**
	 * @param public_key the public_key to set
	 */
	public void setPublic_key(String public_key) {
		this.public_key = public_key;
	}
	
	/**
	 * @return the appears_in_statistic
	 */
	public boolean isAppears_in_statistic() {
		return this.appears_in_statistic;
	}
	
	/**
	 * @param appears_in_statistic the appears_in_statistic to set
	 */
	public void setAppears_in_statistic(boolean appears_in_statistic) {
		this.appears_in_statistic = appears_in_statistic;
	}
	
	/**
	 * @return the urn_generation_counter
	 */
	public int getUrn_generation_counter() {
		return this.urn_generation_counter;
	}
	
	/**
	 * @param urn_generation_counter the urn_generation_counter to set
	 */
	public void setUrn_generation_counter(int urn_generation_counter) {
		this.urn_generation_counter = urn_generation_counter;
	}
	
	/**
	 * @return the created
	 */
	public Date getCreated() {
		return this.created;
	}
	
	/**
	 * @param created the created to set
	 */
	public void setCreated(Date created) {
		this.created = created;
	}
	
	/**
	 * @return the last_modified
	 */
	public Date getLast_modified() {
		return this.last_modified;
	}
	
	/**
	 * @param last_modified the last_modified to set
	 */
	public void setLast_modified(Date last_modified) {
		this.last_modified = last_modified;
	}
	
	/**
	 * @return the comment
	 */
	public String getComment() {
		return this.comment;
	}
	
	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}

}
