/**********************************************************************
 * Class TablePERSON
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-03-15 Commented and ported to Apache Maven
 * Default values for all attributes (-1 for all numeric ones) 2011-04-08 
 * Created on 2010-07-27 by Karaca Kocer
 ********************************************************************/

package org.nbnResolving.database.model;

import java.util.Date;

/**
 * A simple class modeling 1:1 the existing Sybase
 * RMDS table PERSON in epicur database.
 * For more information please see the database model.
 * 
 * @author Kadir Karaca Kocer
 */

public class TablePERSON {
	int     person_id = -1;     //unique id of this PERSON
	String  title = null;       //
	String  last_name = null;
	String  first_name = null;
	String  telephone = null;
	String  fax = null;
	String  email = null;
	int     institution_id = -1;
	boolean primary_recipient = false;
	String  division = null;
	String  login = null;
	String  password = null;
	boolean active = false;
	Date    created = new Date();      //date this record created. Default: NOW!
	Date    last_modified = new Date();//date this record last modified
	String  comment = null;            //human readable comments about this record
	
	/**
	 * @return the person_id
	 */
	public int getPerson_id() {
		return this.person_id;
	}
	
	/**
	 * @param person_id the person_id to set
	 */
	public void setPerson_id(int person_id) {
		this.person_id = person_id;
	}
	
	/**
	 * @return the title
	 */
	public String getTitle() {
		return this.title;
	}
	
	/**
	 * @param title the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	
	/**
	 * @return the last_name
	 */
	public String getLast_name() {
		return this.last_name;
	}
	
	/**
	 * @param last_name the last_name to set
	 */
	public void setLast_name(String last_name) {
		this.last_name = last_name;
	}
	
	/**
	 * @return the first_name
	 */
	public String getFirst_name() {
		return this.first_name;
	}
	
	/**
	 * @param first_name the first_name to set
	 */
	public void setFirst_name(String first_name) {
		this.first_name = first_name;
	}
	
	/**
	 * @return the telephone
	 */
	public String getTelephone() {
		return this.telephone;
	}
	
	/**
	 * @param telephone the telephone to set
	 */
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}
	
	/**
	 * @return the fax
	 */
	public String getFax() {
		return this.fax;
	}
	
	/**
	 * @param fax the fax to set
	 */
	public void setFax(String fax) {
		this.fax = fax;
	}
	
	/**
	 * @return the email
	 */
	public String getEmail() {
		return this.email;
	}
	
	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	
	/**
	 * @return the institution_id
	 */
	public int getInstitution_id() {
		return this.institution_id;
	}
	
	/**
	 * @param institution_id the institution_id to set
	 */
	public void setInstitution_id(int institution_id) {
		this.institution_id = institution_id;
	}
	
	/**
	 * @return the primary_recipient
	 */
	public boolean isPrimary_recipient() {
		return this.primary_recipient;
	}
	
	/**
	 * @param primary_recipient the primary_recipient to set
	 */
	public void setPrimary_recipient(boolean primary_recipient) {
		this.primary_recipient = primary_recipient;
	}
	
	/**
	 * @return the division
	 */
	public String getDivision() {
		return this.division;
	}
	
	/**
	 * @param division the division to set
	 */
	public void setDivision(String division) {
		this.division = division;
	}
	
	/**
	 * @return the login
	 */
	public String getLogin() {
		return this.login;
	}
	
	/**
	 * @param login the login to set
	 */
	public void setLogin(String login) {
		this.login = login;
	}
	
	/**
	 * @return the password
	 */
	public String getPassword() {
		return this.password;
	}
	
	/**
	 * @param password the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}
	
	/**
	 * @return the active
	 */
	public boolean isActive() {
		return this.active;
	}
	
	/**
	 * @param active the active to set
	 */
	public void setActive(boolean active) {
		this.active = active;
	}
	
	/**
	 * @return the created
	 */
	public Date getCreated() {
		return this.created;
	}
	
	/**
	 * @param created the created to set
	 */
	public void setCreated(Date created) {
		this.created = created;
	}
	
	/**
	 * @return the last_modified
	 */
	public Date getLast_modified() {
		return this.last_modified;
	}
	
	/**
	 * @param last_modified the last_modified to set
	 */
	public void setLast_modified(Date last_modified) {
		this.last_modified = last_modified;
	}
	
	/**
	 * @return the comment
	 */
	public String getComment() {
		return this.comment;
	}
	
	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}

}
